Subject: Re: netconsole still hangs

From: Andrew Morton <[email-masked]>
Date: Wed, 12 Mar 2008 16:16:37 -0700

On Wed, 12 Mar 2008 16:14:29 -0700
Andrew Morton <[email-masked]> wrote:

> 
> I thought the recent reverts fixed this, but it seems that it's just become
> a little harder to hit.
> 
> I'm seeing netconsole hangs on two x86_64 systems (2-way t61p laptop, 8-way
> server).  Both use e1000.
> 
> With current mainline on the 8-way, create a printk storm with
> 
> while true
> do
> 	echo t > /proc/sysrq-trigger
> done
> 
> and the machine goes tits-up after about five seconds.
> 

whoops, hang on, it's still running.  For some reason the receiving machine
went super-slow after it had received a lot of data.

I'll retest on the t61p this evening, see why it is freezing.